# Retrieves a paginated list of job types based on the batch request

Returns a paginated list of the possible job types that a ticket can have.

Endpoint: POST /tickets/job-types
Version: v3
Security: oauth2

## Security:

  - `oauth2` (unknown)
    oauth2

## Request fields (application/json):

  - `sortSpecifications` (array)

  - `sortSpecifications.field` (string, required)

  - `sortSpecifications.sort` (null | string)

  - `sortSpecifications.isSortDescending` (boolean)

  - `filterSpecifications` (array)

  - `filterSpecifications.field` (string, required)

  - `filterSpecifications.operator` (string, required)

  - `filterSpecifications.value` (any)

  - `filterSpecifications.filterConditionOperator` (any)

  - `page` (null | integer)

  - `pageSize` (null | integer)

## Response 200:

  - `200` (unknown)
    Paginated ticket job types list.

## Response 200 fields (application/json):

  - `before` (integer)

  - `after` (integer)

  - `total` (integer)

  - `items` (array)

  - `items.id` (string)
    Gets or sets the unique identifier for the job type.

  - `items.name` (null | string)
    Gets or sets the name of the job type.

  - `items.isActive` (boolean)
    Gets or sets a value indicating whether JobType is active.

